#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFB,0xF6,0x10,0xA0,0x84,0x60,0xFA,0x4E,0xE7,0x06,0xD0,0x83,
		0x24,0x5D,0xD8,0x70,0x91,0x1C,0x42,0x32,0x9F,0xF8,0x1C,0xE7,
		0xEF,0xE2,0xFC,0xB7,0x57,0xAB,0x67,0xDF,0x89,0x27,0xCA,0x72,
		0xFE,0x90,0x9E,0xC4,0xB6,0x9E,0xF3,0x75,0x98,0x12,0x69,0x03,
		0x5C,0xFC,0x42,0xD1,0x70,0x39,0x9C,0x5D,0xAC,0x4E,0x63,0x49,
		0xFD,0x74,0xE9,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
